Ask CRM with natural language
POST
/v1/crm/askAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredRequest body
requiredapplication/jsonlimitinteger<int32>querystringrequiredmin length 2
Responses
200OK
explanationstringrequiredobject_kindstringrequiredquerystringrequiredrecordsCrmObjectRecordItem[] | nullrequiredShow propertiesHide properties
Array of
CrmObjectRecordItemcreated_atstringrequiredcustom_fieldsanyrequireddisplay_namestringrequiredenrichment_summaryobjectfieldsobjectrequiredidstringrequiredkindstringrequiredmetadataanyrequiredrelationships_summaryobjectrequiredupdated_atstringrequiredsearchstringtotalinteger<int64>required400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X POST "/v1/crm/ask" \
-H "Content-Type: application/json" \
-d '{
"limit": 0,
"query": "string"
}'const response = await fetch("/v1/crm/ask", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"limit": 0,
"query": "string"
})
});import requests
response = requests.post(
"/v1/crm/ask",
headers={
"Content-Type": "application/json"
},
json={
"limit": 0,
"query": "string"
},
)Response
{
"explanation": "string",
"object_kind": "string",
"query": "string",
"records": [
{
"created_at": "string",
"custom_fields": "string",
"display_name": "string",
"enrichment_summary": {},
"fields": {},
"id": "string",
"kind": "string",
"metadata": "string",
"relationships_summary": {},
"updated_at": "string"
}
],
"search": "string",
"total": 0
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}